edu.sc.seis.sod.subsetter.requestGenerator

## Class PhaseRequest

- java.lang.Object
- - edu.sc.seis.sod.subsetter.requestGenerator.PhaseRequest

- All Implemented Interfaces:
    SodElement, RequestGenerator, Subsetter

      public class PhaseRequest
      extends java.lang.Object
      implements RequestGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseRequest(org.w3c.dom.Element config)`
    `PhaseRequest(java.lang.String beginPhase, edu.iris.Fissures.model.TimeInterval beginOffset, java.lang.String endPhase, edu.iris.Fissures.model.TimeInterval endOffset, java.lang.String model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.IfSeismogramDC.RequestFilter[]` | `generateRequest(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, CookieJar jar)`
    `edu.iris.Fissures.IfSeismogramDC.RequestFilter` | `generateRequest(edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.IfNetwork.Channel channel)`
    `edu.sc.seis.fissuresUtil.bag.PhaseRequest` | `getPhaseReq()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhaseRequest

          public PhaseRequest(org.w3c.dom.Element config)
                       throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### PhaseRequest

          public PhaseRequest(java.lang.String beginPhase,
                              edu.iris.Fissures.model.TimeInterval beginOffset,
                              java.lang.String endPhase,
                              edu.iris.Fissures.model.TimeInterval endOffset,
                              java.lang.String model)
                       throws edu.sc.seis.TauP.TauModelException

      Throws:
        `edu.sc.seis.TauP.TauModelException`

  - ### Method Detail

    - #### generateRequest

          public edu.iris.Fissures.IfSeismogramDC.RequestFilter[] generateRequest(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                                                  edu.iris.Fissures.network.ChannelImpl channel,
                                                                                  CookieJar jar)
                                                                           throws java.lang.Exception

      Specified by:
        `generateRequest` in interface `RequestGenerator`
      Throws:
        `java.lang.Exception`

    - #### generateRequest

          public edu.iris.Fissures.IfSeismogramDC.RequestFilter generateRequest(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                                                                edu.iris.Fissures.IfNetwork.Channel channel)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPhaseReq

          public edu.sc.seis.fissuresUtil.bag.PhaseRequest getPhaseReq()